Bug 1194391 - [abrt] polkit: getObjectClass(): polkitd killed by SIGSEGV
Summary: [abrt] polkit: getObjectClass(): polkitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polkit
Version: 21
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:23435d97f98afebb618f06f201e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 17:35 UTC by EMR_Fedora
Modified: 2015-07-21 08:23 UTC (History)
1 user (show)

Fixed In Version: polkit-0.113-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:08:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (811.95 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: cgroup (179 bytes, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: core_backtrace (8.73 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: dso_list (2.61 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: environ (72 bytes, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: maps (9.49 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: open_fds (1.52 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: proc_pid_status (783 bytes, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details
File: var_log_messages (15.91 KB, text/plain)
2015-02-19 17:35 UTC, EMR_Fedora
no flags Details

Description EMR_Fedora 2015-02-19 17:35:33 UTC
Description of problem:
Polkitd crashes all the time, see https://bugzilla.redhat.com/show_bug.cgi?id=910262

Version-Release number of selected component:
polkit-0.112-7.fc21.1

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib/polkit-1/polkitd --no-debug
crash_function: getObjectClass
executable:     /usr/lib/polkit-1/polkitd
kernel:         3.18.7-200.fc21.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            999

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 getObjectClass at /usr/src/debug/mozjs17.0.0/js/src/jsscope.h:601
 #1 getClass at /usr/src/debug/mozjs17.0.0/js/src/vm/ObjectImpl-inl.h:289
 #2 getOps at /usr/src/debug/mozjs17.0.0/js/src/vm/ObjectImpl-inl.h:307
 #3 GetPropertyOperation at /usr/src/debug/mozjs17.0.0/js/src/jsinterpinlines.h:266
 #4 js::Interpret at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:2293
 #5 js::RunScript at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:309
 #6 js::InvokeKernel at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:363
 #7 Invoke at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.h:119
 #8 js::Invoke at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:396
 #9 JS_CallFunctionName at /usr/src/debug/mozjs17.0.0/js/src/jsapi.cpp:5837

Comment 1 EMR_Fedora 2015-02-19 17:35:36 UTC
Created attachment 993703 [details]
File: backtrace

Comment 2 EMR_Fedora 2015-02-19 17:35:37 UTC
Created attachment 993704 [details]
File: cgroup

Comment 3 EMR_Fedora 2015-02-19 17:35:37 UTC
Created attachment 993705 [details]
File: core_backtrace

Comment 4 EMR_Fedora 2015-02-19 17:35:38 UTC
Created attachment 993706 [details]
File: dso_list

Comment 5 EMR_Fedora 2015-02-19 17:35:39 UTC
Created attachment 993707 [details]
File: environ

Comment 6 EMR_Fedora 2015-02-19 17:35:39 UTC
Created attachment 993708 [details]
File: limits

Comment 7 EMR_Fedora 2015-02-19 17:35:40 UTC
Created attachment 993709 [details]
File: maps

Comment 8 EMR_Fedora 2015-02-19 17:35:41 UTC
Created attachment 993710 [details]
File: open_fds

Comment 9 EMR_Fedora 2015-02-19 17:35:41 UTC
Created attachment 993711 [details]
File: proc_pid_status

Comment 10 EMR_Fedora 2015-02-19 17:35:42 UTC
Created attachment 993712 [details]
File: var_log_messages

Comment 11 Miloslav Trmač 2015-07-02 19:24:14 UTC
Thanks for your report, this should be fixed in polkit-0.113-1. Please reopen if you can still reproduce this (this exact crash).

Comment 12 Fedora Update System 2015-07-02 19:29:53 UTC
polkit-0.113-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/polkit-0.113-1.fc22

Comment 13 Fedora Update System 2015-07-02 19:32:04 UTC
polkit-0.113-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/polkit-0.113-1.fc21

Comment 14 Fedora Update System 2015-07-03 18:38:59 UTC
Package polkit-0.113-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polkit-0.113-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11058/polkit-0.113-1.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-07-13 19:08:45 UTC
polkit-0.113-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-07-14 21:34:51 UTC
polkit-0.113-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/polkit-0.113-4.fc21

Comment 17 Fedora Update System 2015-07-21 08:23:30 UTC
polkit-0.113-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.